#include <iostream>

using namespace std;

int main()
{
    long long int n, q, i;
    cin >> n;
    long long int a[n];
    for(i=0;i<n;i++)
    {
        cin >> a[i];
    }
    cin >> q;
    long long int l[q];
    long long int r[q];
    for(i=0;i<q;i++)
    {
        cin >> l[i] >> r[i];
        l[i]--;
        r[i]--;
    }
    long long int b[n];
    b[0] = 0;
    for(i=1;i<n;i++)
    {
        b[i] = b[i-1] + (a[i-1]>a[i]);
    }
    for(i=0;i<q;i++)
    {
        if(b[r[i]]-b[l[i]]>1)
        {
            cout << "NE" << endl;
        }
        else
        {
            cout << "DA" << endl;
        }
    }
}